View source Improve this doc

# `ngReadonly`
directive in module `ng`

## Description

The HTML specs do not require browsers to preserve the special attributes such as readonly. (The presence of them means true and absence means false) This prevents the angular compiler from correctly retrieving the binding expression. To solve this problem, we introduce the `ngReadonly` directive.

## Usage

as attribute

    <INPUT ng-readonly
         expression="{string}">
       ...
    </INPUT>

#### Parameters

Param | Type | Details
--- | --- | ---
expression | string | Angular expression that will be evaluated.

## Example

#### Source

## Demo